%define name	kid3
%define version	0.5
%define release %mkrel 1
%define summary ID3-Tag Editor for KDE

Summary:	%{summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Url:		http://kid3.sourceforge.net/
Group:		Graphical desktop/KDE
Source0: 	%{name}-%{version}.tar.bz2
BuildRequires:  libqt3-devel XFree86-devel id3lib
Requires:	id3lib libqt3-devel XFree86-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot


%description
With Kid3 you can:
-Edit ID3v1.1 tags
-Edit all ID3v2.3 frames
-Convert between ID3v1.1 and ID3v2.3 tags
-Edit tags of multiple files, e.g. the artist, album, year and genre of all files of an album typically have the -same values and can be set together.
-Generate tags from filenames
-Generate filenames from tags
-Rename and create directories from tags
-Generate playlist files
-Automatically convert upper and lower case and replace strings
-Import from freedb.org and other sources of album data

%prep

%setup -q

%build
%configure \

make clean
%make

%install
rm -rf %buildroot
%makeinstall

# Menu
mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name}  <<EOF
?package(%{name}): \
 command="soundwrapper %{_bindir}/%{name}" \
 needs="X11" \
 icon="%{name}.png" \
 section="Multimedia/Sound" \
 title="%{name}" \
 longtitle="%{summary}" \
 startup_notify="true"
EOF



install -m644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/16x16/apps/%{name}.png -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps/%{name}.png -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps/%{name}.png -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files
%doc AUTHORS COPYING INSTALL LICENSE README ChangeLog

%_bindir/%{name}
%_menudir/%{name}

%_docdir/HTML/de/kid3/*
%_docdir/HTML/en/kid3/*

%_datadir/applnk/Multimedia/%{name}.desktop
%_datadir/apps/kid3/kid3ui.rc
%_datadir/locale/de/LC_MESSAGES/kid3.mo
%_datadir/locale/ru/LC_MESSAGES/kid3.mo

%_iconsdir/hicolor/16x16/apps/%{name}.png
%_iconsdir/hicolor/32x32/apps/%{name}.png
%_iconsdir/hicolor/48x48/apps/%{name}.png
%_iconsdir/mini/%{name}.png
%_iconsdir/%{name}.png

%changelog
* Sun Sep 25 2005 Benjamin Lisci <rpm@mandrivauser,de> 0.5-1mud
- Initial release
